Skip to Content

ListEndpointAttempts

GET
/webhooks/v1/projects/{project_id}/endpoints/{endpoint_id}/attempts

ListEndpointAttempts returns the delivery history for one endpoint, newest first.

Path Parameters

project_id*project_id
Length1 <= length
endpoint_id*endpoint_id
Length1 <= length

Query Parameters

pagination.limit?limit

Maximum number of items to return.

Formatint32
Range1 <= value <= 100
Default25
pagination.offset?offset

Number of items to skip before collecting the result set.

Formatint32
Default0

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/webhooks.v1.ListEndpointAttemptsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "attempts": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/webhooks.v1.WebhookAttempt",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "att9aB8cD1x"
                ],
                "title": "id"
              },
              "event_id": {
                "type": "string",
                "examples": [
                  "evt9aB8cD1x"
                ],
                "title": "event_id"
              },
              "attempt": {
                "type": "integer",
                "examples": [
                  "1"
                ],
                "title": "attempt",
                "format": "int32"
              },
              "replay": {
                "type": "boolean",
                "examples": [
                  "false"
                ],
                "title": "replay",
                "description": "True when this delivery was triggered by ReplayEvent or SendTestEvent\n rather than the original subscription fan-out."
              },
              "status_code": {
                "type": [
                  "integer",
                  "null"
                ],
                "examples": [
                  "200"
                ],
                "title": "status_code",
                "format": "int32"
              },
              "error": {
                "type": "string",
                "examples": [
                  "connection failed"
                ],
                "title": "error"
              },
              "duration_ms": {
                "type": "integer",
                "examples": [
                  "132"
                ],
                "title": "duration_ms",
                "format": "int32"
              },
              "created_at": {
                "examples": [
                  "2026-10-19T12:00:00Z"
                ],
                "title": "created_at",
                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                "$ref-value": {
                  "type": "string",
                  "examples": [
                    "2023-01-15T01:30:15.01Z",
                    "2024-12-25T12:00:00Z"
                  ],
                  "format": "date-time",
                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                }
              },
              "response_snippet": {
                "type": "string",
                "examples": [
                  "ok"
                ],
                "title": "response_snippet",
                "description": "First 1 KiB of the endpoint's response body."
              }
            },
            "title": "WebhookAttempt",
            "additionalProperties": false,
            "description": "WebhookAttempt is one recorded delivery attempt for an event/endpoint pair."
          }
        },
        "title": "attempts"
      },
      "total": {
        "type": "string",
        "examples": [
          "16"
        ],
        "title": "total",
        "format": "int64"
      },
      "offset": {
        "type": "integer",
        "title": "offset",
        "format": "int32"
      },
      "limit": {
        "type": "integer",
        "title": "limit",
        "format": "int32"
      }
    },
    "title": "ListEndpointAttemptsResponse",
    "additionalProperties": false
  }
}
defaultapplication/json

An unexpected error response.

type: unknown

{
  "$ref": "#/components/schemas/google.rpc.Status",
  "$ref-value": {
    "type": "object",
    "properties": {
      "code": {
        "type": "integer",
        "format": "int32",
        "description": "The status code, which should be an enum value of google.rpc.Code."
      },
      "message": {
        "type": "string",
        "description": "A developer-facing error message."
      },
      "details": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/google.protobuf.Any",
          "$ref-value": {
            "type": "object",
            "properties": {
              "@type": {
                "type": "string",
                "description": "A URL/resource name that uniquely identifies the type of the serialized message."
              }
            },
            "additionalProperties": true,
            "description": "Contains an arbitrary serialized message along with a @type that describes the type of the serialized message."
          }
        },
        "description": "A list of messages that carry the error details."
      }
    },
    "description": "The Status type defines a logical error model suitable for gRPC and REST APIs."
  }
}
curl -X GET 'https://api.rixl.com/webhooks/v1/projects/string/endpoints/string/attempts'

Success

application/json

{
  "$ref": "#/components/schemas/webhooks.v1.ListEndpointAttemptsResponse",
  "$ref-value": {
    "type": "object",
    "properties": {
      "attempts": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/webhooks.v1.WebhookAttempt",
          "$ref-value": {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "examples": [
                  "att9aB8cD1x"
                ],
                "title": "id"
              },
              "event_id": {
                "type": "string",
                "examples": [
                  "evt9aB8cD1x"
                ],
                "title": "event_id"
              },
              "attempt": {
                "type": "integer",
                "examples": [
                  "1"
                ],
                "title": "attempt",
                "format": "int32"
              },
              "replay": {
                "type": "boolean",
                "examples": [
                  "false"
                ],
                "title": "replay",
                "description": "True when this delivery was triggered by ReplayEvent or SendTestEvent\n rather than the original subscription fan-out."
              },
              "status_code": {
                "type": [
                  "integer",
                  "null"
                ],
                "examples": [
                  "200"
                ],
                "title": "status_code",
                "format": "int32"
              },
              "error": {
                "type": "string",
                "examples": [
                  "connection failed"
                ],
                "title": "error"
              },
              "duration_ms": {
                "type": "integer",
                "examples": [
                  "132"
                ],
                "title": "duration_ms",
                "format": "int32"
              },
              "created_at": {
                "examples": [
                  "2026-10-19T12:00:00Z"
                ],
                "title": "created_at",
                "$ref": "#/components/schemas/google.protobuf.Timestamp",
                "$ref-value": {
                  "type": "string",
                  "examples": [
                    "2023-01-15T01:30:15.01Z",
                    "2024-12-25T12:00:00Z"
                  ],
                  "format": "date-time",
                  "description": "A point in time in RFC 3339 format, with up to nanosecond precision. Output uses UTC (`Z`); input may use an offset from UTC."
                }
              },
              "response_snippet": {
                "type": "string",
                "examples": [
                  "ok"
                ],
                "title": "response_snippet",
                "description": "First 1 KiB of the endpoint's response body."
              }
            },
            "title": "WebhookAttempt",
            "additionalProperties": false,
            "description": "WebhookAttempt is one recorded delivery attempt for an event/endpoint pair."
          }
        },
        "title": "attempts"
      },
      "total": {
        "type": "string",
        "examples": [
          "16"
        ],
        "title": "total",
        "format": "int64"
      },
      "offset": {
        "type": "integer",
        "title": "offset",
        "format": "int32"
      },
      "limit": {
        "type": "integer",
        "title": "limit",
        "format": "int32"
      }
    },
    "title": "ListEndpointAttemptsResponse",
    "additionalProperties": false
  }
}